View Issue Details

IDProjectCategoryView StatusLast Update
0000361pgpoolAdminBugpublic2017-11-29 08:53
ReporterrpashinAssigned Topengbo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionopen 
PlatformLinuxOSDebianOS Version8.0
Product Version3.6.2 
Target Version3.7.0Fixed in Version3.7.0 
Summary0000361: Can't detach node from pgpoolAdmin UI, while pcp_detach_node works fine
DescriptionHello,

I've faced with some strange issue. In setup with 2 pgpool2 nodes with heartbeat and 2 backends with streaming replication I can't detach slave backent from UI. When I click 'detach' - node is still being attached to cluster (pcp_node_info shows UP). Meanwhile second pgpool2 node shows it as 'DOWN' and out of cluster.

If I do pcp_detach_node from shell - backend is being detached and button 'Return' works in UI as it should.
Steps To ReproduceBuild debian package and install last recent pgpool version 3.6.6-2 from https://alioth.debian.org/anonscm/git/pkg-postgresql/pgpool2.git -b debian/3.6.6-2 (Probably it will reproduce after make && make install, I was doing it this way)

Download and install pgpooladmin from download page http://www.pgpool.net/download.php?f=pgpoolAdmin-3.6.2.tar.gz

Configure 2 backend servers with streaming replication and second pgpool node with heartbeat (actually it doesn't matter if it is alive or not, but it's config when I can reproduce it).

Try to detach node from pgpoolAdmin UI. Pgpool logs show as if failover is done and script failover.sh has been started, but backend, that is being detached is still in cluster. pcp_node_info shows it's status 'UP'.

When I'm doing pcp_detach_node in shell from under 'www-data' user, that apache is running from - it always detach node from cluster normally.

BTW 'return' button always works fine from UI and changes node status to UP.

Attached pgpool.conf and pgmgt.conf.php files with current configuration to the case.
TagsNo tags attached.

Activities

rpashin

2017-10-31 15:05

reporter  

pgmgt.conf.php (713 bytes)
pgpool.conf (5,169 bytes)

pengbo

2017-11-01 08:33

developer   ~0001796

Tank you for reporting. I will look into it.

rpashin

2017-11-09 16:29

reporter   ~0001817

I just wanted to ask if I can provide any other information, which will help with fixing this. Thank you!

pengbo

2017-11-10 17:09

developer   ~0001821

It looks a bug. I am working on it.

pengbo

2017-11-19 21:25

developer   ~0001834

Could you try pgpoolAdmin3.7 RC1?
This bug is fixed in pgpoolAdmin3.7 RC1.

http://pgpool.net/mediawiki/index.php/Developer_releases#pgpoolAdmin

rpashin

2017-11-24 04:46

reporter   ~0001842

Thank you! I'll try this version and will let you know about the results.

rpashin

2017-11-28 20:59

reporter   ~0001846

pengbo, sorry for delay.

Confirm. It works as expected in pgpoolAdmin3.7 RC1. Bug can be closed.

Thank you very much!

Issue History

Date Modified Username Field Change
2017-10-31 15:05 rpashin New Issue
2017-10-31 15:05 rpashin File Added: pgpool.conf
2017-10-31 15:05 rpashin File Added: pgmgt.conf.php
2017-11-01 08:33 pengbo Note Added: 0001796
2017-11-07 09:08 pengbo Assigned To => pengbo
2017-11-07 09:08 pengbo Status new => assigned
2017-11-09 16:29 rpashin Note Added: 0001817
2017-11-10 17:09 pengbo Note Added: 0001821
2017-11-19 21:25 pengbo Note Added: 0001834
2017-11-24 04:46 rpashin Note Added: 0001842
2017-11-28 20:59 rpashin Note Added: 0001846
2017-11-29 08:53 pengbo Status assigned => closed
2017-11-29 08:53 pengbo Fixed in Version => 3.7.0
2017-11-29 08:53 pengbo Target Version => 3.7.0